.footer {
    background-color: $lotion;
    padding: 4rem 2rem 2rem;

    @media (max-width: 768px) {
        padding: 4rem 2rem 7rem 2rem;
    }

    @media (max-width: 576px) {
        padding: 4rem 2rem 6rem 2rem;
    }

    @media (max-width: 425px) {
        padding: 3rem 1rem 5rem 1rem;
    }

    .footer__list {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(300px, 1fr)); 
        grid-gap: 5em;

        @media (max-width: 1280px) {
            grid-template-columns: repeat(auto-fill,minmax(230px,1fr));
        }

        @media (max-width: 1024px) {
            grid-template-columns: repeat(auto-fill,minmax(300px,1fr));
            grid-gap: 1em;
        }

        @media (max-width: 768px) {
            grid-template-columns: repeat(auto-fill,minmax(210px,1fr));
            grid-gap: 1.5em;
        }

        @media (max-width: 576px) {
            grid-template-columns: repeat(auto-fill,minmax(230px,1fr));
        }


        .footer__column {
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            color: $raisinBlack;

            &:first-child {
                justify-content: center;
                gap: 20px;

                @media (max-width: 576px) {
                    gap: 10px;

                }
            }

            @media (max-width: 1024px) {
                &:nth-child {
                    grid-column: -1/1;
                    order: 3;
                    flex-direction: row;
                    align-items: baseline;
                    margin-top: 30px;
                }
            }

            @media (max-width: 768px) {
                &:nth-child {
                    grid-column: -1/1;
                    order: 3;
                    flex-direction: column;
                    align-items: baseline;
                    margin-top: 0;
                }
            }

            .footer__wrapper {
                display: flex;
                flex-direction: column;
            }

            .footer__logo {
                max-width: 250px;
                width: 100%;

                @media (max-width: 1280px) {
                    max-width: 220px;
                }
            }

            .copyright {
                @include copyright;
            }

            .footer__title {
                @include footerTitle;
            }

            .footer__contacts {
                @include footerContacts;
            }

            .footer__info {
                @include footerInfo;
            }

            .footer__link {
                @include footerLink;
            }
        }
    }
}